<div class="blue-circle"></div>

<ion-header no-border>
  <ion-navbar transparent>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>Dashboard</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="list-container">

  <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content
      pullingIcon="arrow-down"
      pullingText="Pull to refresh"
      refreshingSpinner="crescent"
      refreshingText="Refreshing...">
    </ion-refresher-content>
  </ion-refresher>

  <ion-card *ngIf="successChart.data">
    <ion-card-content>
      <ion-card-title class="theme-title">Successes</ion-card-title>

      <canvas baseChart
              [data]="successChart.data"
              [labels]="successChart.labels"
              [chartType]="successChart.type"
              [options]="successChart.options"></canvas>
    </ion-card-content>
  </ion-card>

  <ion-card *ngIf="yearsChart.data">
    <ion-card-content>
      <ion-card-title class="theme-title">Periods</ion-card-title>

      <canvas baseChart
              [data]="yearsChart.data"
              [labels]="yearsChart.labels"
              [chartType]="yearsChart.type"
              [options]="yearsChart.options"></canvas>
    </ion-card-content>
  </ion-card>

  <ion-card *ngIf="rocketsChart.data">
    <ion-card-content>
      <ion-card-title class="theme-title">Rockets</ion-card-title>

      <canvas baseChart
              [data]="rocketsChart.data"
              [labels]="rocketsChart.labels"
              [chartType]="rocketsChart.type"
              [options]="rocketsChart.options"></canvas>
    </ion-card-content>
  </ion-card>

</ion-content>
